summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2007-12-29 09:13:55 +0000
committerMike Frysinger <vapier@gentoo.org>2007-12-29 09:13:55 +0000
commit7ef72fcb891d5b1c8015bfa613a6f545d74896b7 (patch)
treeadfe3c4096ad03133f7931cae7ad4fef38f0928d /net-nds/rpcbind/files
parentInitial ebuild by me. (diff)
downloadhistorical-7ef72fcb891d5b1c8015bfa613a6f545d74896b7.tar.gz
historical-7ef72fcb891d5b1c8015bfa613a6f545d74896b7.tar.bz2
historical-7ef72fcb891d5b1c8015bfa613a6f545d74896b7.zip
Initial ebuild by me.
Package-Manager: portage-2.1.4_rc11
Diffstat (limited to 'net-nds/rpcbind/files')
-rw-r--r--net-nds/rpcbind/files/digest-rpcbind-0.1.43
-rwxr-xr-xnet-nds/rpcbind/files/rpcbind.confd4
-rwxr-xr-xnet-nds/rpcbind/files/rpcbind.initd22
3 files changed, 29 insertions, 0 deletions
diff --git a/net-nds/rpcbind/files/digest-rpcbind-0.1.4 b/net-nds/rpcbind/files/digest-rpcbind-0.1.4
new file mode 100644
index 000000000000..e7e1fc4e3a2f
--- /dev/null
+++ b/net-nds/rpcbind/files/digest-rpcbind-0.1.4
@@ -0,0 +1,3 @@
+MD5 280539aa1f8975b1318690cd903f858a rpcbind-0.1.4.tar.bz2 100934
+RMD160 7d908c3ca0d0c699b7e887ccf1ffff5bf295cf09 rpcbind-0.1.4.tar.bz2 100934
+SHA256 c8bba97e5d4c192a5e09edbb27d6e9edec4fda2c0d905c1325e623204a5b5d65 rpcbind-0.1.4.tar.bz2 100934
diff --git a/net-nds/rpcbind/files/rpcbind.confd b/net-nds/rpcbind/files/rpcbind.confd
new file mode 100755
index 000000000000..ddc09172d10d
--- /dev/null
+++ b/net-nds/rpcbind/files/rpcbind.confd
@@ -0,0 +1,4 @@
+# /etc/conf.d/rpcbind
+
+# Options for `rpcbind`.
+#RPCBIND_OPTS="-l"
diff --git a/net-nds/rpcbind/files/rpcbind.initd b/net-nds/rpcbind/files/rpcbind.initd
new file mode 100755
index 000000000000..995ca71d0180
--- /dev/null
+++ b/net-nds/rpcbind/files/rpcbind.initd
@@ -0,0 +1,22 @@
+#!/sbin/runscript
+# Copyright 1999-2007 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-nds/rpcbind/files/rpcbind.initd,v 1.1 2007/12/29 09:13:55 vapier Exp $
+
+depend() {
+ use net
+ before inetd xinetd
+ provide portmap
+}
+
+start() {
+ ebegin "Starting rpcbind"
+ start-stop-daemon --start --quiet --exec /sbin/rpcbind -- ${RPCBIND_OPTS}
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping rpcbind"
+ start-stop-daemon --stop --quiet --exec /sbin/rpcbind
+ eend $?
+}